# WOK
TKWOK
MS

# MS_HSequenceOfError Class Reference

`#include <MS_HSequenceOfError.hxx>`

## Public Member Functions

| MS_HSequenceOfError ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_Error)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfError)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_Error)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfError)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_Error)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfError)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_Error)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfError)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfError | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_Error)&anItem)
Standard_EXPORT const Handle_MS_Error & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_Error & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfError & | Sequence () const
MS_SequenceOfError & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfError | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfError | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfError::MS_HSequenceOfError | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfError::Append | ( | const Handle(MS_HSequenceOfError)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfError::Append | ( | const Handle(MS_Error)& | anItem | ) |

MS_SequenceOfError& MS_HSequenceOfError::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_Error& MS_HSequenceOfError::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfError::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfError::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfError::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfError::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfError)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfError::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Error)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfError::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfError)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfError::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Error)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfError::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfError::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfError::Prepend | ( | const Handle(MS_HSequenceOfError)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfError::Prepend | ( | const Handle(MS_Error)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfError::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfError::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfError::Reverse | ( |  | ) |

const MS_SequenceOfError& MS_HSequenceOfError::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfError::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Error)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfError MS_HSequenceOfError::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfError MS_HSequenceOfError::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_Error& MS_HSequenceOfError::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfError MS_HSequenceOfError::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfError.hxx